use git2::Repository;

fn main() -> eyre::Result<()> {
    let repo = Repository::open(".")?;
    let mut revwalk = repo.revwalk()?;
    revwalk.set_sorting(git2::Sort::TIME)?;

    for rev in revwalk.enumerate() {
        println!("rev: {})", rev.1?.to_string())
    }

    Ok(())
}
